//
//  ViewController.swift
//  Notities
//
//  Created by Developer on 31-03-17.
//  Copyright © 2017 iOS Academie. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITableViewDataSource {
  
  @IBOutlet weak var searchBar: UISearchBar!
  @IBOutlet weak var tableView: UITableView!

  override func viewDidLoad() {
    super.viewDidLoad()
    // Do any additional setup after loading the view, typically from a nib.
  }

  override func didReceiveMemoryWarning() {
    super.didReceiveMemoryWarning()
    // Dispose of any resources that can be recreated.
  }

  @IBAction func maakItem(_ sender: Any) {
  }

  // MARK: - UITableViewDataSource
  func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
    return Model.shared.count
  }
  
  func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
    let cell = tableView.dequeueReusableCell(withIdentifier: "cell", for: indexPath)
    
    let notitie = Model.shared.notitie(op: indexPath.row)
    cell.textLabel?.text = notitie.titel
    cell.detailTextLabel?.text = DateFormatter.localizedString(from: notitie.datum, dateStyle: .long, timeStyle: .medium)
    
    return cell
  }
  
}

